#
# spec file for package perl-Bio-LITE-Taxonomy (Version 0.07)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Bio-LITE-Taxonomy
Version:        0.07
Release:        1.1
License:        GPL+ or Artistic
%define cpan_name Bio-LITE-Taxonomy
Summary:        Lightweight and efficient taxonomic tree manager
Url:            http://search.cpan.org/dist/Bio-LITE-Taxonomy/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/M/MO/MOTIF/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.87
Requires:       perl(Test::More) >= 0.87
%{perl_requires}

%description
This module provides easy and efficient access to different taxonomies
(NCBI and RDP) with minimal dependencies and without intermediate
databases. This module should be used through specific taxonomic interfaces
(e.g. the Bio::LITE::Taxonomy::NCBI manpage or the Bio::LITE::Taxonomy::RDP
manpage).

This module is not part of the Bioperl bundle. For Bioperl alternatives,
see the the /"SEE ALSO" manpage section of this document. If you are
dealing with big datasets or you don't need the rest of the Bioperl bundle
to process taxonomic queries this module is for you.

These modules are designed with performance in mind. The trees are stored
in memory (as plain hashes). The GI to Taxid mappings provided by the
Bio::LITE::Taxonomy::NCBI::Gi2taxid manpage are very efficient. It also
supports both NCBI and RDP taxonomies following the same interface.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue May 31 2011 coolo@novell.com
- updated to 0.07
  * Taxonomies now start in the first non-"root" level instead of the second.
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.06
  * created by cpanspec 1.78.04
